package tk.antoine_roux.wiki.configuration;

import org.springframework.boot.autoconfigure.web.servlet.WebMvcRegistrations;
import org.springframework.context.annotation.Configuration;
import org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerMapping;
import tk.antoine_roux.wiki.utilitary.Constant;

/**
 * spring web configuration
 *
 * @see org.springframework.boot.autoconfigure.web.servlet.WebMvcRegistrations
 */
@Configuration(proxyBeanMethods = false)
public class WebConfiguration implements WebMvcRegistrations {

    @Override
    public RequestMappingHandlerMapping getRequestMappingHandlerMapping() {
        return new ApiVersionRequestMappingHandlerMapping(Constant.VERSION_PREFIX);
    }
}
