package tk.antoine_roux.wiki.model.internal;

import com.fasterxml.jackson.annotation.JsonProperty;

import java.time.ZonedDateTime;

public class Repository {
    public String id;
    public User owner;
    public String name;
    @JsonProperty("full_name")
    public String fullName;
    public String description;
    public boolean empty;
    @JsonProperty("private")
    public boolean isPrivate;
    public boolean fork;
    public boolean template;
    public String parent;
    public boolean mirror;
    public int size;
    @JsonProperty("html_url")
    public String htmlUrl;
    @JsonProperty("ssh_url")
    public String sshUrl;
    @JsonProperty("clone_url")
    public String cloneUrl;
    @JsonProperty("original_url")
    public String originalUrl;
    public String website;
    @JsonProperty("stars_count")
    public int starsCount;
    @JsonProperty("forks_count")
    public int forksCount;
    @JsonProperty("watchers_count")
    public int watchersCount;
    @JsonProperty("open_issues_count")
    public int openIssuesCount;
    @JsonProperty("open_pr_count")
    public int openPRCount;
    @JsonProperty("release_counter")
    public int releaseCounter;
    @JsonProperty("default_branch")
    public String defaultBranch;
    public boolean archived;
    @JsonProperty("created_at")
    public ZonedDateTime createdAt;
    @JsonProperty("updated_at")
    public ZonedDateTime updatedAt;
    public Permission permissions;
    @JsonProperty("has_issues")
    public boolean hasIssues;
    @JsonProperty("internal_tracker")
    public InternalTracker internalTracker;
    @JsonProperty("has_wiki")
    public boolean hasWiki;
    @JsonProperty("has_pull_requests")
    public boolean hasPullRequests;
    @JsonProperty("ignore_whitespace_conflicts")
    public boolean ignoreWhitespaceConflicts;
    @JsonProperty("allow_merge_commits")
    public boolean allowMergeCommits;
    @JsonProperty("allow_rebase")
    public boolean allowRebase;
    @JsonProperty("allow_rebase_explicit")
    public boolean allowRebaseExplicit;
    @JsonProperty("allow_squash_merge")
    public boolean allowSquashMerge;
    @JsonProperty("avatar_url")
    public String avatarUrl;
}
