package tk.antoine_roux.wiki.model.internal;

import com.fasterxml.jackson.annotation.JsonProperty;

import java.time.ZonedDateTime;

/**
 * pusher sender user information
 */
public class User {
    public String id;
    public String login;
    public String username;
    @JsonProperty("full_name")
    public String fullName;
    public String email;
    @JsonProperty("avatar_url")
    public String avatarUrl;
    public String language;
    @JsonProperty("is_admin")
    public boolean isAdmin;
    @JsonProperty("last_login")
    public ZonedDateTime lastLogin;
    public ZonedDateTime created;

    public UserReduced toReducedUser() {
        return new UserReduced(this.login, this.email, this.username);
    }
}
