package tk.antoine_roux.wiki.model.request;

import com.fasterxml.jackson.annotation.JsonProperty;

import java.util.Arrays;
import java.util.List;
import java.util.UUID;

/**
 * Model use to add runner instance
 */
public class AddRunner {
    private static final String TAG_SEPARATOR = ",";

    public String description;
    public List<String> tags;
    public UUID token;
    @JsonProperty("run_untagged")
    public Boolean runUntagged;
    public Boolean locked;
    public Boolean active;
    public RunnerInfo info;

    @JsonProperty("tag_list")
    public void setTags(String tags) {
        this.tags = Arrays.asList(tags.split(TAG_SEPARATOR).clone());
    }
}
